API Explorer 936 endpoints

Create User Auth Context

POST /obp/v7.0.0/users/USER_ID/auth-context

OBPv5.0.0-createUserAuthContext Roles: CanCreateUserAuthContext User

Create User Auth Context. These key value pairs will be propagated over connector to adapter. Normally used for mapping OBP user and Bank User/Customer. User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON request body fields (2)
key
CustomerNumber
value
5987953
JSON response body fields (6)
consumer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
key
CustomerNumber
time_stamp
1100-01-01T01:01:01.000Z
user_auth_context_id
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
value
5987953
Example request body
{
  "key": "CUSTOMER_NUMBER",
  "value": "78987432"
}
Example success response
{
  "user_auth_context_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
  "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
  "key": "CUSTOMER_NUMBER",
  "value": "78987432",
  "time_stamp": "1100-01-01T00:00:00Z",
  "consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh"
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-30053: Could not insert the UserAuthContext
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.0.0 createUserAuthContext Originally /obp/v5.0.0/users/USER_ID/auth-context